README.PHP

Building:
	in smbauth root directory...
	'make PHP'
	will generate a smbauth.so file in the php directory.

PHP.INI setup:
	You can configure the php module in one of the following ways:
	1: smbauth.so loaded by default everytime php starts
		Add the following line to php.ini and place smbauth.so
		in the directory set by the extension_dir in php.ini.
		'extension=smbauth.so'
	2: smbauth.so loaded with dl() in program
		a: load smbauth.so from php.ini path
			Copy smbauth.so to the directory specified by
			the extension_dir in php.ini
			Use the command dl("smbauth.so") in your program
			code to load the module.
		b: load smbauth.so from specific path
			If the extension_dir is set to './' in php.ini
			you can use the dl() function to load smbauth.so
			from any directory...
			dl("/u/web/inc/smbauth.so"); 

Usage:
	// Load the smbauth.so library into runtime (see above for variations)
	dl("smbauth.so");

	// Validate user and assign $rval to result code (see README for codes)
	$rval = smbauth_validate("username","password","pdc","bdc","domain");

	// Print a string result code
	echo smbauth_err2str($rval);

Please contact me with any suggestions <shire@tekrat.com>.
